Thread Rating:
  • 7 Vote(s) - 3.86 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.6] MyStatus
I am attaching this useful plugin to the post. I only made 2 changes:

1) Changed compatibility line from 16* to 18*

2)
Replaced:

find_replace_templatesets("headerinclude", "#".preg_quote('{$newpmmsg}')."#i", '{$newpmmsg}'."\n".'{$mystatus_js}');

with:
find_replace_templatesets("headerinclude", "#".preg_quote('{$stylesheets}')."#i", '{$stylesheets}'."\n".'{$mystatus_js}');
 
This will allow you to install the plugin into 1.8. If you want to have the status' in your sidebar on index, then place the variable {$mystatus_latest_statuses} into your sidebar on the index template.


.zip   MyStatus.zip (Size: 48.38 KB / Downloads: 61)
What goes around comes around
Reply
How to resolve the "Event.observe is not a function" error ?
What goes around comes around
Reply
(2019-07-10, 02:10 AM)Ashley1 Wrote: How to resolve the "Event.observe is not a function" error ?

I have the same error too, If someone could find a way to fix it
[Image: banner.gif]
Reply
As also mentioned in this post, it seems this plugin uses prototype.js instead of jQuery :
https://community.mybb.com/thread-83012-...#pid810138

To get this plugin working I would try loading the prototype.js library in your header before mystatus.js.
https://github.com/prototypejs/prototype/releases
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)